The Azure SDK team is pleased to announce our September 2021 client library releases.

Updates

  • Communication Chat

Beta

  • Communication Calling

  • Core

Installation Instructions

To install the latest GA and beta libraries, we recommend you use the Swift Package Manager. As an alternative, you may also integrate the libraries using CocoaPods.

Xcode

To add the Azure SDK for iOS to your application, follow the instructions in Adding Package Dependencies to Your App:

With your project open in Xcode 11 or later, select File > Swift Packages > Add Package Dependency… Enter the clone URL of the Swift Package Manager mirror repository for the library you wish to include (it will have the form SwiftPM-<NAME>, i.e.: https://github.com/Azure/SwiftPM-AzureCore.git) and click Next. For the version rule, specify the exact version or version range you wish to use with your application and click Next. Finally, place a checkmark next to each client library you wish to use with your application, ensure your application target is selected in the Add to target dropdown, and click Finish.

Swift CLI

To add the Azure SDK for iOS to your application, follow the example in Importing Dependencies:

Open your project’s Package.swift file and add a new package dependency to your project’s dependencies section, specifying the clone URL of the Swift Package Manager mirror repository and the version specifier you wish to use:

// swift-tools-version:5.3
dependencies: [
    ...
    .package(name: "AzureCommunicationChat", url: "https://github.com/Azure/SwiftPM-AzureCommunicationChat.git", from: "1.0.2"),
    .package(name: "AzureCore", url: "https://github.com/Azure/SwiftPM-AzureCore.git", from: "1.0.0-beta.13"),
]

Next, add each client library you wish to use in a target to the target’s array of dependencies:

targets: [
    ...
    .target(
        name: "MyTarget",
        dependencies: [
            "AzureCommunicationChat",
            "AzureCore",
            ...
        ]
    )
]

Cocoapods

CocoaPods is a dependency manager for Objective-C and Swift projects. You can install it with the following command:

$ [sudo] gem install cocoapods

CocoaPods 1.5+ is required.

To integrate one or more client libraries into your project using CocoaPods, specify them in your Podfile, providing the version specifier you wish to use. To ensure compatibility when using multiple client libraries in the same project, use the same version specifier for all Azure SDK client libraries within the project:

platform :ios, '12.0'
# Comment the next line if you don't want to use dynamic frameworks
use_frameworks!
target 'MyTarget' do
    pod 'AzureCommunicationCalling', '2.0.1-beta.1'
    pod 'AzureCommunicationChat', '1.0.2'
    pod 'AzureCore', '1.0.0-beta.13'
    ...
end

Then, run the following command:

$ pod install

Feedback

If you have a bug or feature request for one of the libraries, please post an issue to GitHub.

Release highlights

Communication Calling 2.0.1-beta.1 Changelog

Bugs Fixed

  • IncomingCall.accept will now throw errors when trying to accept a terminated call or if already in an active call.
  • SDK rebuilt with latest available AzureCommunicationCommon 1.0.2 (#344).
  • Using CallKit implementation in SDK when already in an incoming call another incoming call is recieved, accepting the new call operation now completes successfully.

Communication Chat 1.0.2 Changelog

Features Added

  • Added CommunicationSignalingErrorHandler to AzureCommunicationChatClientOptions for handling signaling errors.

Bugs Fixed

  • Fixed realtime notifications to handle nil displayName.
  • Fixed readOn property in readReceiptReceived events.
  • Fixed recipient id format in events.

Core 1.0.0-beta.13 Changelog

Bugs Fixed

  • Changed the format for application ID in UserAgentPolicy to remove the square brackets around it.

Need help

Latest Releases

View all the latest versions of iOS packages here.